/* z-index */
.dropdown-menu {
    z-index: 82;
}
.more_op_wrap {
    z-index: 2;
 }
 
.row_task-list-header {
	margin-bottom: 20px;
	padding: 0 20px;
	text-align: left;
}
.row_task-list-header .pull-right {
	float: right;
    width: 140px;
	/*width: 230px;*/
}
.row_task-list-header .rec_btn,
.row_task-list-header .btn-group {
	float: left;
	margin-left: 10px;
}
.row_task-list-header .btn-group {
	position: relative;
}
.row_task-list-header .btn-group .rec_btn {
	margin: 0;
}
.row_task-list-header .active .rec_btn {
	background: #04ccab;
	color: #fff;
}
.dropdown-menu {
	display: none;
	position: absolute;
	top: 27px;
	-webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
    border: none;
    min-width: 160px;
    padding: 5px 0;
    margin: 0;
    font-size: 14px;
    text-align: left;
    background-color: #fff;
    border: 1px solid #eee;
    border-radius: 4px;
    -webkit-box-shadow: 0 6px 12px rgba(0, 0, 0, 0.175);
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.175);
    background-clip: padding-box;
}
.active .dropdown-menu {
	display: block;
}
.dropdown-menu-right {
	right: 0;
}
.dropdown-menu-left {
	left: 0;
}
.dropdown-menu .add_btn {
	display: block;
	padding: 0 20px;
}
.dropdown-menu .add_btn:hover {
    color: #fff;
    text-decoration: none;
    background-color: #08c;
    background-color: #0081c2;
    background-image: -moz-linear-gradient(top,#08c,#0077b3);
    background-image: -webkit-gradient(linear,0 0,0 100%,from(#08c),to(#0077b3));
    background-image: -webkit-linear-gradient(top,#08c,#0077b3);
    background-image: -o-linear-gradient(top,#08c,#0077b3);
    background-image: linear-gradient(to bottom,#08c,#0077b3);
    background-repeat: repeat-x;
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff0088cc',endColorstr='#ff0077b3',GradientType=0);
}
.task-manage-list {
    margin: 0 20px 0 60px;
    padding: 0;
    border-left: 1px solid #e1e1e1;
}
.task-manage-list .task-manage-item {
    border: 1px solid #e1e1e1;
    border-radius: 6px;
    background: #fff;
    line-height: 42px;
    margin-bottom: 15px;
    margin-left: 20px;
    cursor: move;
    word-wrap: break-word;
    word-break: break-all;
    text-align: left;
    position: relative;
}
.task-manage-list .task-manage-chapter {
    margin-left: -40px;
}
.task-manage-list .task-manage-unit {
    margin-left: -20px;
}
.task-manage-list .task-manage-item:hover {
    background-color: #f1f1f1;
}
.task-manage-list .task-manage-item.active {
	background-color: #EBF1DE;
}
.task-manage-list .item-content {
    padding-left: 10px;
    overflow: hidden;
    height: 42px;
    line-height: 42px;
    float: left;
    width: 100%;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}
.task-manage-list .item-actions {
    position: absolute;
    right: 0;
    top: 0;
    padding-left: 10px;
    visibility: hidden;
    border-left: 1px solid #ddd;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}
.task-manage-list .task-manage-item:hover .item-actions, 
.task-manage-list .task-manage-item.active .item-actions {
    visibility: visible;
}
.dropup, .dropdown {
    position: relative;
}
.task-manage-list .fst-btn {
	margin-right: 20px;
}
.task-manage-list .task-manage-item.active .item-default-header {
    border-color: #e1e1e1;
}
.task-manage-list .item-default-header {
    border-bottom: 1px solid transparent;
}
.task-manage-list .item-line {
    border-bottom: 1px solid #e1e1e1;
    vertical-align: top;
    display: inline-block;
    height: 21px;
    width: 21px;
    margin-left: -21px;
    float: left;
}
.more_op_wrap {
    top: 38px;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
    border: none;
    min-width: 160px;
    padding: 5px 0;
    margin: 0;
    font-size: 14px;
    text-align: left;
    background-color: #fff;
    border: 1px solid #eee;
    border-radius: 4px;
    -webkit-box-shadow: 0 6px 12px rgba(0, 0, 0, 0.175);
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.175);
    background-clip: padding-box;
}
.more_op_wrap .more_op_item {
    display: block;
    color: #333;
    width: auto;
    padding: 0 20px;
}
.more_op_wrap .more_op_item:hover {
    color: #fff;
    text-decoration: none;
    background-color: #08c;
    background-color: #0081c2;
    background-image: -moz-linear-gradient(top,#08c,#0077b3);
    background-image: -webkit-gradient(linear,0 0,0 100%,from(#08c),to(#0077b3));
    background-image: -webkit-linear-gradient(top,#08c,#0077b3);
    background-image: -o-linear-gradient(top,#08c,#0077b3);
    background-image: linear-gradient(to bottom,#08c,#0077b3);
    background-repeat: repeat-x;
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff0088cc',endColorstr='#ff0077b3',GradientType=0);
 }
 .part-order-wrap .part-order-btn a {
    width: -moz-calc(100% / 3);
    width: -webkit-calc(100% / 3);
    width: calc(100% / 3);
 }
.task-type-list {
    padding: 0 20px;
}
.task-type-list .task-type-item {
    margin-bottom: 20px;
    width: 25%;
    float: left;
    padding: 0 10px;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}
.task-type-list .task-type-item:hover > a {
    background: #f4f6f8;
    border: 3px solid #23B7E5;
    -webkit-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    transition: all 0.3s ease;
}
.task-type-list .task-type-item > a {
    height: 110px;
    background-color: #f4f6f8;
    display: block;
    text-align: center;
    color: #919191;
    -webkit-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    transition: all 0.3s ease;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
    border: 3px solid #f4f6f8;
    line-height: normal;
}
.task-type-list .task-type-item.active > a {
    display: block;
    background: #23B7E5;
    color: #fff;
    border: 3px solid #23B7E5;
    -webkit-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    transition: all 0.3s ease;
}
.task-type-list .task-type-item > a .iconfont {
    display: block;
    height: 35px;
    font-size: 35px;
    line-height: 35px;
    padding-top: 18px;
    margin-bottom: 10px;
}
.order_item_btn-wrap {
    text-align: right;
    margin: 20px -10px 0;
    padding-top: 10px;
    border-top: 1px solid #eaeaea;
}
.part-order-wrap .part-order-btn {
    margin-bottom: 30px;
    border: 1px solid #23B7E5;
}
.part-order-wrap .part-order-btn a {
    border-right: 1px solid #23B7E5;
}
.part-order-wrap .part-order-btn a:last-child {
    border: 0;
}
.part-order-wrap .part-order-btn a.active {
    background: #23B7E5;
}
.part-order-wrap .part-order-item .order-content-wrap {
    min-height: 400px;
    overflow: hidden;
    overflow-y: auto;
}
.part-order-wrap .order-form-item {
    margin-bottom: 30px;
}
.part-order-wrap .order-form-item label {
    display: inline-block;
    width: 80px;
    text-align: right;
    font-weight: 700;
    margin-right: 20px;
}
.part-order-wrap .order-form-item .radios label {
    width: auto;
}
.part-order-wrap .order-form-item input {
    padding: 0 10px;
    width: 740px;
    height: 30px;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}
.part-order-wrap .part-order-conditon .order-form-item input {
    width: 244px;
}
.part-order-wrap .order-form-item .mini_ipt {
    width: 244px;
}
.part-order-wrap .order-form-item .sub_ipt {
    margin-left: 100px;
}
.part-order-wrap .order-form-item input[type="radio"] {
    width: auto;
    height: auto;
}
.cm-modal .part-order-task .error-tips {
    padding-left: 100px;
}
.part-order-wrap .friend-tip {
    margin-left: 100px;
    color: #a1a1a1;
}
.part-order-wrap .order-form-paper-detail {
    margin-left: 100px;
}
.part-order-wrap .order-form-table {
    width: 100%;
    text-align: center;
}
.part-order-wrap .order-form-paper-detail th, 
.part-order-wrap .order-form-paper-detail td {
    border: 1px solid #eee;
}
/* courseItem */
.info_dir_wrap .info_dir_item {
    border: 1px solid #e1e1e1;
    border-radius: 6px;
    background: #fff;
    line-height: 42px;
    margin-bottom: 15px;
    margin-left: 20px;
    padding: 0 10px;
    cursor: default;
    word-wrap: break-word;
    word-break: break-all;
    text-align: left;
    position: relative;
}
.info_dir_wrap .info_dir_chapter {
    cursor: pointer;
    background-color: #efefef;
    font-weight: 700;
}
.info_dir_wrap .info_dir_chapter .iconfont {
    float: right;
}
.info_dir_wrap .info_dir_chapter .iconfont.open {
    display: none;
}
.info_dir_wrap .info_dir_chapter.open .iconfont {
    display: none;
}
.info_dir_wrap .info_dir_chapter.open .iconfont.open {
    display: block;
}
.info_dir_wrap .info_dir_unit {
    background-color: #f5f5f5;
    color: #999;
}
.info_dir_wrap .info_dir_task {
    cursor: pointer;
    color: #666;
}
.info_dir_wrap .info_dir_task:hover {
    background-color: #EBF1DE;
}
.part-order-wrap .order-form-exp {
    margin-left: 100px;
}
.part-order-wrap .order-form-item .emulate_exp .round-label{
    height: 15px;
    width: 15px;
    margin: 0;
}
.part-order-wrap .order-form-upload {
    margin-top: -20px;
    margin-left: 100px;
}
.part-order-wrap .order-form-upload .order-form-upload-btn {
    border: 1px solid #ccc;
    border-radius: 6px 6px 0 0;
    padding: 10px;
}
.part-order-wrap .order-form-upload .order-upload-wrap {
    border: 1px solid #ccc;
    border-top: 0;
    border-radius: 0 0 6px 6px;
    padding: 10px;
    display: none;
}
.part-order-wrap .order-form-upload .order-upload-wrap.active {
    display: block;
}
.part-order-wrap .order-form-upload .order-upload-item {
    background: #fbf8fd;
    text-align: center;
    padding: 100px;
}
.part-order-wrap .order-form-upload .order-upload-wrap:nth-child(3) .order-upload-item {
    padding: 20px 40px;
}
.part_papercheck_setting .paper-check-table {
    width: 100%;
}
.part-order-wrap .order-form-upload .rvideo-label {
    display: block;
    text-align: left;
    width: 100%;
    cursor: pointer;
}
.part-order-wrap .order-form-upload .rvideo-label:hover {
    background: #eee;
}

@media screen and (max-width: 768px) {
.info_dir_wrap .info_dir_task {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
}